<script setup lang="ts">
import VoteBox from '@/components/VoteBox.vue'
import { useDataStore } from '@/store/data'
import { computed, onMounted } from 'vue'

const data = useDataStore()

onMounted(refresh)
function refresh() {
  data.refreshVotes()
}

const openedVotes = computed(() => data.votes.filter(e => e.status === 'open' || e.status === 'closed' || e.status === 'validated'))
const archivedVotes = computed(() => data.votes.filter(e => e.status === 'archived' || e.status === 'canceled'))

</script>

<template>
  <div class="flex flex-col px-3 max-w-2xl mx-auto">

    <v-alert
      icon="mdi-qrcode-scan"
      title="Votre ticket de présence n'est pas enregistré"
      text="Tant que vous n'aurez pas enregistré votre ticket de présence il vous sera impossible de participer aux votes. Prenez soin de le faire avant que celui-ci ne commence."
      variant="tonal"
      color="warning"
      class="mb-3"
      v-if="!data.isTicketBound"
    >
    <br/>
    <div class="flex justify-center">
      <v-btn class="m-2" variant="outlined" link to="/tickets/landing">Activer</v-btn>
    </div>
    </v-alert>

    <div class="flex justify-between">
      <h1 class="text-2xl">Votes actifs</h1>
      <v-btn variant="text" color="primary" @click="refresh">Actualiser</v-btn>
    </div>
    <div v-if="openedVotes.length > 0">
      <vote-box v-for="vote of openedVotes" v-bind:key="vote.id" :vote="vote" mode="list-item" class="my-2"/>
    </div>
    <div v-else>
      <v-alert class="m-7">Pas encore de vote ;)</v-alert>
    </div>

    <div v-if="archivedVotes.length > 0">
      <h1 class="text-2xl">Votes archivés</h1>
      <div>
        <vote-box v-for="vote of archivedVotes" v-bind:key="vote.id" :vote="vote" mode="list-item" class="my-2"/>
      </div>
    </div>
  </div>
</template>
